Name: freenx
Version: 0.7.2
Release: alt5.r430.M41.1

Summary: Freenx application/thin-client server
Group: Networking/Remote access
License: GPLv2
URL: http://freenx.berlios.de

Packager: Igor Zubkov <icesik@altlinux.org>

Source0: %name.tar.bz2

Patch0: gentoo-nomachine.diff

# ALT
Patch10: freenx-alt-luser.patch
Patch11: freenx-alt-openssh.patch
Patch12: freenx-alt-disable-adduser-and-group.patch
Patch13: freenx-alt-foomatic-ppdfile.patch
Patch14: freenx-alt-nx-3.1.0.patch
Patch15: freenx-alt-hack-path.patch
Patch16: freenx-alt-ld_library_path.patch
Patch17: freenx-default-2.0-backend.patch
Patch18: freenx-centos-dbus.patch

Requires: nx

Requires: openssl
Requires: netcat
Requires: foomatic-db-engine

# Automatically added by buildreq on Mon Dec 24 2007 (-bi)
BuildRequires: cups curl expect nscd su xterm

%description
Freenx is an application/thin-client server based on nx technology. 
NoMachine nx is the next-generation X compression and roundtrip suppression
scheme. It can operate remote X11 sessions over 56k modem dialup links
or anything better. This package contains a free (GPL) implementation
of the nxserver component.

%prep
%setup -q -n %name
#patch0 -p0

%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
#patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

%build
pushd nxserver-helper
make
popd

%install
# wrong install path
# install use nxloadconfig
sed -i "s|/usr/lib|%_libdir|g" nxloadconfig
sed -i "s|\$NX_DIR/lib|%_libdir|g" nxloadconfig

mkdir -p %buildroot%_bindir/
mkdir -p %buildroot%_sysconfdir/nxserver/

install -m 755 nxcups-gethost \
	nxdesktop_helper \
	nxdialog \
	nxkeygen \
	nxloadconfig \
	nxnode \
	nxnode-login \
	nxprint \
	nxserver \
	nxsetup \
	nxviewer_helper \
	%buildroot%_bindir/

install -m 755 node.conf.sample %buildroot%_sysconfdir/nxserver/node.conf

%pre
/usr/sbin/groupadd -r -f nx 2> /dev/null ||:
/usr/sbin/useradd -r -g nx -d /var/lib/nxserver/home/ -s /usr/bin/nxserver \
        -c "NX System User" nx 2> /dev/null ||:
if [ ! -h /usr/share/fonts/misc ]
then
    ln -s /usr/share/fonts/bitmap/misc /usr/share/fonts/misc
fi

%files
%doc AUTHORS ChangeLog CONTRIB nxcheckload.sample node.conf.sample
%dir %_sysconfdir/nxserver
%config(noreplace) %_sysconfdir/nxserver/node.conf
%_bindir/nx*

%changelog
* Tue Sep 16 2008 Andriy Stepanov <stanv@altlinux.ru> 0.7.2-alt5.r430.M41.1
- Rebuild for ALT Linux M41 (bug #16382)

* Mon Jan 14 2008 Igor Zubkov <icesik@altlinux.org> 0.7.2-alt5.r430
- fix path for libXrender

* Sun Jan 06 2008 Igor Zubkov <icesik@altlinux.org> 0.7.2-alt4.r430
- fix font path (#13830)

* Thu Jan 03 2008 Igor Zubkov <icesik@altlinux.org> 0.7.2-alt3.r430
- update from svn

* Fri Dec 28 2007 Igor Zubkov <icesik@altlinux.org> 0.7.2-alt2.r427
- mark /etc/nxserver/node.conf a config(noreplace)
- own /etc/nxserver dir
- add requires nx

* Mon Dec 24 2007 Igor Zubkov <icesik@altlinux.org> 0.7.2-alt1.r427
- build for Sisyphus

